count: 1303
next: https://normandy.cdn.mozilla.net/api/v3/recipe/?format=yaml&ordering=-approved_revision&page=2
previous: null
results:
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2017-04-29T18:48:30.368810Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 16
      revision:
        id: 1014
        recipe_id: 157
    arguments:
      engagementButtonLabel: ''
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please Rate Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Onboarding-Survey-3?distId=mozilla110
      surveyId: funnelcake-onboarding-110
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-04-29T18:46:48.369885Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla110'\n)"
    filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla110'\n)"
    filter_object: []
    id: 1014
    identicon_seed: v1:157
    metadata: {}
    name: Funnelcake 110
    recipe:
      approved_revision_id: 1014
      id: 157
      latest_revision_id: 1014
    updated: '2017-04-29T18:46:48.376161Z'
  id: 157
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2017-04-29T18:48:30.368810Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 16
      revision:
        id: 1014
        recipe_id: 157
    arguments:
      engagementButtonLabel: ''
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please Rate Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Onboarding-Survey-3?distId=mozilla110
      surveyId: funnelcake-onboarding-110
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-04-29T18:46:48.369885Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla110'\n)"
    filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla110'\n)"
    filter_object: []
    id: 1014
    identicon_seed: v1:157
    metadata: {}
    name: Funnelcake 110
    recipe:
      approved_revision_id: 1014
      id: 157
      latest_revision_id: 1014
    updated: '2017-04-29T18:46:48.376161Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2017-04-29T18:48:40.168931Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 17
      revision:
        id: 1012
        recipe_id: 158
    arguments:
      engagementButtonLabel: ''
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please Rate Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Onboarding-Survey-3?distId=mozilla111
      surveyId: funnelcake-onboarding-111
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-04-29T18:47:15.061722Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla111'\n)"
    filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla111'\n)"
    filter_object: []
    id: 1012
    identicon_seed: v1:158
    metadata: {}
    name: Funnelcake 111
    recipe:
      approved_revision_id: 1012
      id: 158
      latest_revision_id: 1012
    updated: '2017-04-29T18:47:15.070290Z'
  id: 158
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2017-04-29T18:48:40.168931Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 17
      revision:
        id: 1012
        recipe_id: 158
    arguments:
      engagementButtonLabel: ''
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please Rate Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Onboarding-Survey-3?distId=mozilla111
      surveyId: funnelcake-onboarding-111
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-04-29T18:47:15.061722Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla111'\n)"
    filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla111'\n)"
    filter_object: []
    id: 1012
    identicon_seed: v1:158
    metadata: {}
    name: Funnelcake 111
    recipe:
      approved_revision_id: 1012
      id: 158
      latest_revision_id: 1012
    updated: '2017-04-29T18:47:15.070290Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2017-04-29T18:48:50.070794Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 18
      revision:
        id: 1011
        recipe_id: 159
    arguments:
      engagementButtonLabel: ''
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please Rate Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Onboarding-Survey-3?distId=mozilla112
      surveyId: funnelcake-onboarding-112
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-04-29T18:47:40.297950Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla112'\n)"
    filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla112'\n)"
    filter_object: []
    id: 1011
    identicon_seed: v1:159
    metadata: {}
    name: Funnelcake 112
    recipe:
      approved_revision_id: 1011
      id: 159
      latest_revision_id: 1011
    updated: '2017-04-29T18:47:40.306522Z'
  id: 159
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2017-04-29T18:48:50.070794Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 18
      revision:
        id: 1011
        recipe_id: 159
    arguments:
      engagementButtonLabel: ''
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please Rate Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Onboarding-Survey-3?distId=mozilla112
      surveyId: funnelcake-onboarding-112
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-04-29T18:47:40.297950Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla112'\n)"
    filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla112'\n)"
    filter_object: []
    id: 1011
    identicon_seed: v1:159
    metadata: {}
    name: Funnelcake 112
    recipe:
      approved_revision_id: 1011
      id: 159
      latest_revision_id: 1011
    updated: '2017-04-29T18:47:40.306522Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2017-04-29T18:49:01.505133Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 19
      revision:
        id: 1010
        recipe_id: 160
    arguments:
      engagementButtonLabel: ''
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please Rate Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Onboarding-Survey-3?distId=mozilla113
      surveyId: funnelcake-onboarding-113
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-04-29T18:48:17.118624Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla113'\n)"
    filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla113'\n)"
    filter_object: []
    id: 1010
    identicon_seed: v1:160
    metadata: {}
    name: Funnelcake 113
    recipe:
      approved_revision_id: 1010
      id: 160
      latest_revision_id: 1010
    updated: '2017-04-29T18:48:17.127420Z'
  id: 160
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2017-04-29T18:49:01.505133Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 19
      revision:
        id: 1010
        recipe_id: 160
    arguments:
      engagementButtonLabel: ''
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please Rate Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Onboarding-Survey-3?distId=mozilla113
      surveyId: funnelcake-onboarding-113
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-04-29T18:48:17.118624Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla113'\n)"
    filter_expression: "(\n    normandy.locale == 'en-US'\n    && normandy.distribution\
      \ == 'mozilla113'\n)"
    filter_object: []
    id: 1010
    identicon_seed: v1:160
    metadata: {}
    name: Funnelcake 113
    recipe:
      approved_revision_id: 1010
      id: 160
      latest_revision_id: 1010
    updated: '2017-04-29T18:48:17.127420Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: ready to rock
      created: '2017-11-13T22:11:19.987971Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      id: 544
      revision:
        id: 312
        recipe_id: 346
    arguments:
      branches:
      - ratio: 1
        slug: gen3sug6
        value: general:3,suggestion:6
      - ratio: 97
        slug: sug4gen5
        value: suggestion:4,general:5
      - ratio: 1
        slug: gen1sug4gen4
        value: general:1,suggestion:4,general:4
      - ratio: 1
        slug: sug1gen4sug4
        value: suggestion:1,general:4,suggestion:4
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1413565
      preferenceBranchType: default
      preferenceName: browser.urlbar.matchBuckets
      preferenceType: string
      slug: pref-flip-search-composition-57-release-1413565
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2017-11-13T22:11:13.397778Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-06-29T16:30:12.911996Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: false
      id: 84
    - carryover_from: null
      created: '2018-05-16T23:39:13.591264Z'
      creator: null
      enabled: true
      id: 22
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(10, 990, 1000)\
      \  \n    && normandy.channel == 'release'\n    && normandy.version >= '57.0'\n\
      \    &&  ((!normandy.telemetry.main.environment.profile.creationDate && normandy.isFirstRun)\
      \ || normandy.telemetry.main.environment.profile.creationDate > 17483)\n   \
      \ && 'browser.search.widget.inNavBar'|preferenceValue == false\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(10, 990, 1000)  \n \
      \   && normandy.channel == 'release'\n    && normandy.version >= '57.0'\n  \
      \  &&  ((!normandy.telemetry.main.environment.profile.creationDate && normandy.isFirstRun)\
      \ || normandy.telemetry.main.environment.profile.creationDate > 17483)\n   \
      \ && 'browser.search.widget.inNavBar'|preferenceValue == false\n)"
    filter_object: []
    id: 312
    identicon_seed: v1:dofbq2hsdi4
    metadata: {}
    name: Pref Flip - Search Composition new users in Release 57 - Bug 1413565
    recipe:
      approved_revision_id: 312
      id: 346
      latest_revision_id: 312
    updated: '2018-06-29T16:30:13.153908Z'
  id: 346
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: ready to rock
      created: '2017-11-13T22:11:19.987971Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      id: 544
      revision:
        id: 312
        recipe_id: 346
    arguments:
      branches:
      - ratio: 1
        slug: gen3sug6
        value: general:3,suggestion:6
      - ratio: 97
        slug: sug4gen5
        value: suggestion:4,general:5
      - ratio: 1
        slug: gen1sug4gen4
        value: general:1,suggestion:4,general:4
      - ratio: 1
        slug: sug1gen4sug4
        value: suggestion:1,general:4,suggestion:4
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1413565
      preferenceBranchType: default
      preferenceName: browser.urlbar.matchBuckets
      preferenceType: string
      slug: pref-flip-search-composition-57-release-1413565
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2017-11-13T22:11:13.397778Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-06-29T16:30:12.911996Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: false
      id: 84
    - carryover_from: null
      created: '2018-05-16T23:39:13.591264Z'
      creator: null
      enabled: true
      id: 22
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(10, 990, 1000)\
      \  \n    && normandy.channel == 'release'\n    && normandy.version >= '57.0'\n\
      \    &&  ((!normandy.telemetry.main.environment.profile.creationDate && normandy.isFirstRun)\
      \ || normandy.telemetry.main.environment.profile.creationDate > 17483)\n   \
      \ && 'browser.search.widget.inNavBar'|preferenceValue == false\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(10, 990, 1000)  \n \
      \   && normandy.channel == 'release'\n    && normandy.version >= '57.0'\n  \
      \  &&  ((!normandy.telemetry.main.environment.profile.creationDate && normandy.isFirstRun)\
      \ || normandy.telemetry.main.environment.profile.creationDate > 17483)\n   \
      \ && 'browser.search.widget.inNavBar'|preferenceValue == false\n)"
    filter_object: []
    id: 312
    identicon_seed: v1:dofbq2hsdi4
    metadata: {}
    name: Pref Flip - Search Composition new users in Release 57 - Bug 1413565
    recipe:
      approved_revision_id: 312
      id: 346
      latest_revision_id: 312
    updated: '2018-06-29T16:30:13.153908Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: glind@mozilla.com
        first_name: Gregg
        id: 5
        last_name: Lind
      comment: Pausing enrollment.
      created: '2017-11-17T15:15:35.217802Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      id: 561
      revision:
        id: 471
        recipe_id: 305
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/default-search-studyshield.mozilla.org-1.0.1-signed.xpi
      description: Search Study 2
      extensionApiId: 20
      isEnrollmentPaused: true
      name: search-defaults-2-CA-1409772
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2017-11-17T15:14:45.865874Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2019-03-12T17:07:46.121087Z'
      creator:
        email: jkerim@mozilla.com
        first_name: Jared
        id: 51
        last_name: Kerim
      enabled: false
      id: 739
    - carryover_from: null
      created: '2018-05-16T23:39:13.587819Z'
      creator: null
      enabled: true
      id: 21
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "( normandy.channel == 'release' && \n    normandy.distribution\
      \ == 'default' &&\n    [normandy.userId]|bucketSample(820, 15, 1000) && \n \
      \   normandy.version >= '56.0' &&\n    normandy.locale == 'en-US' &&\n    normandy.country\
      \ == 'CA' )"
    filter_expression: "( normandy.channel == 'release' && \n    normandy.distribution\
      \ == 'default' &&\n    [normandy.userId]|bucketSample(820, 15, 1000) && \n \
      \   normandy.version >= '56.0' &&\n    normandy.locale == 'en-US' &&\n    normandy.country\
      \ == 'CA' )"
    filter_object: []
    id: 471
    identicon_seed: v1:e8rrbvixz17
    metadata: {}
    name: Search Defaults Release 2 - CA
    recipe:
      approved_revision_id: 471
      id: 305
      latest_revision_id: 471
    updated: '2019-03-12T17:07:46.122693Z'
  id: 305
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: glind@mozilla.com
        first_name: Gregg
        id: 5
        last_name: Lind
      comment: Pausing enrollment.
      created: '2017-11-17T15:15:35.217802Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      id: 561
      revision:
        id: 471
        recipe_id: 305
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/default-search-studyshield.mozilla.org-1.0.1-signed.xpi
      description: Search Study 2
      extensionApiId: 20
      isEnrollmentPaused: true
      name: search-defaults-2-CA-1409772
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2017-11-17T15:14:45.865874Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2019-03-12T17:07:46.121087Z'
      creator:
        email: jkerim@mozilla.com
        first_name: Jared
        id: 51
        last_name: Kerim
      enabled: false
      id: 739
    - carryover_from: null
      created: '2018-05-16T23:39:13.587819Z'
      creator: null
      enabled: true
      id: 21
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "( normandy.channel == 'release' && \n    normandy.distribution\
      \ == 'default' &&\n    [normandy.userId]|bucketSample(820, 15, 1000) && \n \
      \   normandy.version >= '56.0' &&\n    normandy.locale == 'en-US' &&\n    normandy.country\
      \ == 'CA' )"
    filter_expression: "( normandy.channel == 'release' && \n    normandy.distribution\
      \ == 'default' &&\n    [normandy.userId]|bucketSample(820, 15, 1000) && \n \
      \   normandy.version >= '56.0' &&\n    normandy.locale == 'en-US' &&\n    normandy.country\
      \ == 'CA' )"
    filter_object: []
    id: 471
    identicon_seed: v1:e8rrbvixz17
    metadata: {}
    name: Search Defaults Release 2 - CA
    recipe:
      approved_revision_id: 471
      id: 305
      latest_revision_id: 471
    updated: '2019-03-12T17:07:46.122693Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: glind@mozilla.com
        first_name: Gregg
        id: 5
        last_name: Lind
      comment: Pausing enrollment.
      created: '2017-11-17T15:15:32.233972Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      id: 560
      revision:
        id: 481
        recipe_id: 302
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/default-search-studyshield.mozilla.org-1.0.1-signed.xpi
      description: Search Study 2
      extensionApiId: 20
      isEnrollmentPaused: true
      name: search-defaults-2-US-1409772
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2017-11-17T15:15:12.365413Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2019-03-12T17:06:22.025388Z'
      creator:
        email: jkerim@mozilla.com
        first_name: Jared
        id: 51
        last_name: Kerim
      enabled: false
      id: 738
    - carryover_from: null
      created: '2018-05-16T23:39:13.584472Z'
      creator: null
      enabled: true
      id: 20
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "( normandy.channel == 'release' && \n    normandy.distribution\
      \ == 'default' &&\n    [normandy.userId]|bucketSample(820, 10, 1000) && \n \
      \   normandy.version >= '56.0' &&\n    normandy.locale == 'en-US' &&\n    normandy.country\
      \ == 'US' )"
    filter_expression: "( normandy.channel == 'release' && \n    normandy.distribution\
      \ == 'default' &&\n    [normandy.userId]|bucketSample(820, 10, 1000) && \n \
      \   normandy.version >= '56.0' &&\n    normandy.locale == 'en-US' &&\n    normandy.country\
      \ == 'US' )"
    filter_object: []
    id: 481
    identicon_seed: v1:4s8c8ccebw6
    metadata: {}
    name: Search Defaults Release 2 - US
    recipe:
      approved_revision_id: 481
      id: 302
      latest_revision_id: 481
    updated: '2019-03-12T17:06:22.027096Z'
  id: 302
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: glind@mozilla.com
        first_name: Gregg
        id: 5
        last_name: Lind
      comment: Pausing enrollment.
      created: '2017-11-17T15:15:32.233972Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      id: 560
      revision:
        id: 481
        recipe_id: 302
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/default-search-studyshield.mozilla.org-1.0.1-signed.xpi
      description: Search Study 2
      extensionApiId: 20
      isEnrollmentPaused: true
      name: search-defaults-2-US-1409772
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2017-11-17T15:15:12.365413Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2019-03-12T17:06:22.025388Z'
      creator:
        email: jkerim@mozilla.com
        first_name: Jared
        id: 51
        last_name: Kerim
      enabled: false
      id: 738
    - carryover_from: null
      created: '2018-05-16T23:39:13.584472Z'
      creator: null
      enabled: true
      id: 20
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "( normandy.channel == 'release' && \n    normandy.distribution\
      \ == 'default' &&\n    [normandy.userId]|bucketSample(820, 10, 1000) && \n \
      \   normandy.version >= '56.0' &&\n    normandy.locale == 'en-US' &&\n    normandy.country\
      \ == 'US' )"
    filter_expression: "( normandy.channel == 'release' && \n    normandy.distribution\
      \ == 'default' &&\n    [normandy.userId]|bucketSample(820, 10, 1000) && \n \
      \   normandy.version >= '56.0' &&\n    normandy.locale == 'en-US' &&\n    normandy.country\
      \ == 'US' )"
    filter_object: []
    id: 481
    identicon_seed: v1:4s8c8ccebw6
    metadata: {}
    name: Search Defaults Release 2 - US
    recipe:
      approved_revision_id: 481
      id: 302
      latest_revision_id: 481
    updated: '2019-03-12T17:06:22.027096Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2017-11-21T18:29:43.762182Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      id: 567
      revision:
        id: 459
        recipe_id: 311
    arguments:
      branches:
      - ratio: 1
        slug: Treatment
        value: detect
      - ratio: 1
        slug: Control
        value: 'off'
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1405217
      preferenceBranchType: user
      preferenceName: extensions.formautofill.available
      preferenceType: string
      slug: pref-flip-autofill-release-1405217-2-2
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2017-11-21T18:29:39.911418Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-07-18T22:43:57.637887Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      enabled: false
      id: 143
    - carryover_from: null
      created: '2018-07-18T22:06:32.683956Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      enabled: true
      id: 142
    - carryover_from: null
      created: '2018-07-18T20:42:26.590143Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      enabled: false
      id: 141
    - carryover_from: null
      created: '2018-05-16T23:39:13.581175Z'
      creator: null
      enabled: true
      id: 19
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "( \n    [normandy.userId]|bucketSample(0,200,1000) \n\
      \    && normandy.version >=  '57.0'\n    && normandy.locale == 'en-US'\n   \
      \ && normandy.country == 'US'\n    && normandy.channel == 'release'\n)"
    filter_expression: "( \n    [normandy.userId]|bucketSample(0,200,1000) \n    &&\
      \ normandy.version >=  '57.0'\n    && normandy.locale == 'en-US'\n    && normandy.country\
      \ == 'US'\n    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 459
    identicon_seed: v1:dvmhhgdax9
    metadata: {}
    name: 'Pref Flip: Form Autofill Release 56 (Bug 1405217) FIXED PREF TYPE'
    recipe:
      approved_revision_id: 459
      id: 311
      latest_revision_id: 459
    updated: '2018-07-18T22:43:57.894951Z'
  id: 311
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2017-11-21T18:29:43.762182Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      id: 567
      revision:
        id: 459
        recipe_id: 311
    arguments:
      branches:
      - ratio: 1
        slug: Treatment
        value: detect
      - ratio: 1
        slug: Control
        value: 'off'
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1405217
      preferenceBranchType: user
      preferenceName: extensions.formautofill.available
      preferenceType: string
      slug: pref-flip-autofill-release-1405217-2-2
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2017-11-21T18:29:39.911418Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-07-18T22:43:57.637887Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      enabled: false
      id: 143
    - carryover_from: null
      created: '2018-07-18T22:06:32.683956Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      enabled: true
      id: 142
    - carryover_from: null
      created: '2018-07-18T20:42:26.590143Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      enabled: false
      id: 141
    - carryover_from: null
      created: '2018-05-16T23:39:13.581175Z'
      creator: null
      enabled: true
      id: 19
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "( \n    [normandy.userId]|bucketSample(0,200,1000) \n\
      \    && normandy.version >=  '57.0'\n    && normandy.locale == 'en-US'\n   \
      \ && normandy.country == 'US'\n    && normandy.channel == 'release'\n)"
    filter_expression: "( \n    [normandy.userId]|bucketSample(0,200,1000) \n    &&\
      \ normandy.version >=  '57.0'\n    && normandy.locale == 'en-US'\n    && normandy.country\
      \ == 'US'\n    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 459
    identicon_seed: v1:dvmhhgdax9
    metadata: {}
    name: 'Pref Flip: Form Autofill Release 56 (Bug 1405217) FIXED PREF TYPE'
    recipe:
      approved_revision_id: 459
      id: 311
      latest_revision_id: 459
    updated: '2018-07-18T22:43:57.894951Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2017-12-08T23:36:24.940171Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 630
      revision:
        id: 175
        recipe_id: 398
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Mozilla would like to know what you think about Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/sdefaults?b=false&v=2
      repeatOption: once
      surveyId: hb-search-defaults
      thanksMessage: Thanks!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-12-08T23:35:19.928573Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(  \n    normandy.channel == 'release'\n    && normandy.distribution\
      \ == 'default'\n    && normandy.version >= '57.0'\n    && normandy.version <=\
      \ '57.0.1'\n    && normandy.locale == 'en-US'\n    && [normandy.userId]|bucketSample(30,\
      \ 5, 1000)\n    && normandy.country == 'US' \n    && !('browser.search.reset.status'|preferenceExists)\n\
      \    && (\n        !('other-' in telemetry.environment.settings.defaultSearchEngine)\n\
      \        && (\n            'google.com'     in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'yahoo.com'      in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'bing.com'       in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'amazon.com'     in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'duckduckgo.com' in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'twitter.com'    in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'wikipedia.org'  in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \        )\n        && 'jar:[app]/omni.ja!browser/' in telemetry.environment.settings.defaultSearchEngineData.loadPath\n\
      \    )\n)"
    filter_expression: "(  \n    normandy.channel == 'release'\n    && normandy.distribution\
      \ == 'default'\n    && normandy.version >= '57.0'\n    && normandy.version <=\
      \ '57.0.1'\n    && normandy.locale == 'en-US'\n    && [normandy.userId]|bucketSample(30,\
      \ 5, 1000)\n    && normandy.country == 'US' \n    && !('browser.search.reset.status'|preferenceExists)\n\
      \    && (\n        !('other-' in telemetry.environment.settings.defaultSearchEngine)\n\
      \        && (\n            'google.com'     in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'yahoo.com'      in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'bing.com'       in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'amazon.com'     in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'duckduckgo.com' in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'twitter.com'    in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'wikipedia.org'  in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \        )\n        && 'jar:[app]/omni.ja!browser/' in telemetry.environment.settings.defaultSearchEngineData.loadPath\n\
      \    )\n)"
    filter_object: []
    id: 175
    identicon_seed: v1:gu1fbjh8nwd
    metadata: {}
    name: 'Heartbeat: Search Defaults Post-Survey [Default]'
    recipe:
      approved_revision_id: 175
      id: 398
      latest_revision_id: 175
    updated: '2017-12-08T23:35:19.933422Z'
  id: 398
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2017-12-08T23:36:24.940171Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 630
      revision:
        id: 175
        recipe_id: 398
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Mozilla would like to know what you think about Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/sdefaults?b=false&v=2
      repeatOption: once
      surveyId: hb-search-defaults
      thanksMessage: Thanks!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-12-08T23:35:19.928573Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(  \n    normandy.channel == 'release'\n    && normandy.distribution\
      \ == 'default'\n    && normandy.version >= '57.0'\n    && normandy.version <=\
      \ '57.0.1'\n    && normandy.locale == 'en-US'\n    && [normandy.userId]|bucketSample(30,\
      \ 5, 1000)\n    && normandy.country == 'US' \n    && !('browser.search.reset.status'|preferenceExists)\n\
      \    && (\n        !('other-' in telemetry.environment.settings.defaultSearchEngine)\n\
      \        && (\n            'google.com'     in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'yahoo.com'      in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'bing.com'       in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'amazon.com'     in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'duckduckgo.com' in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'twitter.com'    in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'wikipedia.org'  in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \        )\n        && 'jar:[app]/omni.ja!browser/' in telemetry.environment.settings.defaultSearchEngineData.loadPath\n\
      \    )\n)"
    filter_expression: "(  \n    normandy.channel == 'release'\n    && normandy.distribution\
      \ == 'default'\n    && normandy.version >= '57.0'\n    && normandy.version <=\
      \ '57.0.1'\n    && normandy.locale == 'en-US'\n    && [normandy.userId]|bucketSample(30,\
      \ 5, 1000)\n    && normandy.country == 'US' \n    && !('browser.search.reset.status'|preferenceExists)\n\
      \    && (\n        !('other-' in telemetry.environment.settings.defaultSearchEngine)\n\
      \        && (\n            'google.com'     in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'yahoo.com'      in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'bing.com'       in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'amazon.com'     in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'duckduckgo.com' in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'twitter.com'    in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \            || 'wikipedia.org'  in telemetry.environment.settings.defaultSearchEngineData.submissionURL\n\
      \        )\n        && 'jar:[app]/omni.ja!browser/' in telemetry.environment.settings.defaultSearchEngineData.loadPath\n\
      \    )\n)"
    filter_object: []
    id: 175
    identicon_seed: v1:gu1fbjh8nwd
    metadata: {}
    name: 'Heartbeat: Search Defaults Post-Survey [Default]'
    recipe:
      approved_revision_id: 175
      id: 398
      latest_revision_id: 175
    updated: '2017-12-08T23:35:19.933422Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Pausing enrollment. Should be no change.
      created: '2018-02-02T20:50:22.569646Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 659
      revision:
        id: 321
        recipe_id: 345
    arguments:
      branches:
      - ratio: 1
        slug: 2bars
        value: true
      - ratio: 1
        slug: unified
        value: false
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1413565
      isEnrollmentPaused: true
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: browser.search.widget.inNavBar
      preferenceType: boolean
      slug: pref-flip-search-unification-57-release-1413565
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-02-02T20:50:05.559016Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-06-29T16:30:10.755466Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: false
      id: 83
    - carryover_from: null
      created: '2018-05-16T23:39:13.577819Z'
      creator: null
      enabled: true
      id: 18
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n[normandy.userId]|bucketSample(0, 10, 1000)    \n\
      \    && normandy.channel == 'release'\n    && normandy.version >= '57.0'\n \
      \   &&   ((!normandy.telemetry.main.environment.profile.creationDate && normandy.isFirstRun)\
      \ || normandy.telemetry.main.environment.profile.creationDate > 17483)\n)"
    filter_expression: "(\n[normandy.userId]|bucketSample(0, 10, 1000)    \n    &&\
      \ normandy.channel == 'release'\n    && normandy.version >= '57.0'\n    && \
      \  ((!normandy.telemetry.main.environment.profile.creationDate && normandy.isFirstRun)\
      \ || normandy.telemetry.main.environment.profile.creationDate > 17483)\n)"
    filter_object: []
    id: 321
    identicon_seed: v1:zkz1d8ufmu
    metadata: {}
    name: Pref Flip - Search Unification  new users in Release 57 - Bug 1413565
    recipe:
      approved_revision_id: 321
      id: 345
      latest_revision_id: 321
    updated: '2018-06-29T16:30:11.120048Z'
  id: 345
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Pausing enrollment. Should be no change.
      created: '2018-02-02T20:50:22.569646Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 659
      revision:
        id: 321
        recipe_id: 345
    arguments:
      branches:
      - ratio: 1
        slug: 2bars
        value: true
      - ratio: 1
        slug: unified
        value: false
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1413565
      isEnrollmentPaused: true
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: browser.search.widget.inNavBar
      preferenceType: boolean
      slug: pref-flip-search-unification-57-release-1413565
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-02-02T20:50:05.559016Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-06-29T16:30:10.755466Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: false
      id: 83
    - carryover_from: null
      created: '2018-05-16T23:39:13.577819Z'
      creator: null
      enabled: true
      id: 18
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n[normandy.userId]|bucketSample(0, 10, 1000)    \n\
      \    && normandy.channel == 'release'\n    && normandy.version >= '57.0'\n \
      \   &&   ((!normandy.telemetry.main.environment.profile.creationDate && normandy.isFirstRun)\
      \ || normandy.telemetry.main.environment.profile.creationDate > 17483)\n)"
    filter_expression: "(\n[normandy.userId]|bucketSample(0, 10, 1000)    \n    &&\
      \ normandy.channel == 'release'\n    && normandy.version >= '57.0'\n    && \
      \  ((!normandy.telemetry.main.environment.profile.creationDate && normandy.isFirstRun)\
      \ || normandy.telemetry.main.environment.profile.creationDate > 17483)\n)"
    filter_object: []
    id: 321
    identicon_seed: v1:zkz1d8ufmu
    metadata: {}
    name: Pref Flip - Search Unification  new users in Release 57 - Bug 1413565
    recipe:
      approved_revision_id: 321
      id: 345
      latest_revision_id: 321
    updated: '2018-06-29T16:30:11.120048Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-05-04T17:39:18.064102Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      id: 791
      revision:
        id: 41
        recipe_id: 449
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/esper-pioneer-shield-study%40pioneer.mozilla.org-1.0.4-signed.xpi
      description: 'ESPER (Evaluating Similarity of Pioneers as Exemplars of Release)
        assesses the degree and sense in which users in opt-in Firefox Pioneer cohort
        differ from the Firefox release channel population. This is a one-time data
        collection of fields already collected in Firefox Telemetry.


        Bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1450951'
      extensionApiId: 43
      isEnrollmentPaused: false
      name: pioneer-study-esper-2
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2018-05-04T17:39:10.876517Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-22T13:11:34.562649Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      enabled: false
      id: 45
    - carryover_from: null
      created: '2018-05-16T23:39:13.522708Z'
      creator: null
      enabled: true
      id: 5
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "( \nnormandy.addons['pioneer-opt-in@mozilla.org'].isActive\
      \ &&\nnormandy.version >= '59.0'\n)"
    filter_expression: "( \nnormandy.addons['pioneer-opt-in@mozilla.org'].isActive\
      \ &&\nnormandy.version >= '59.0'\n)"
    filter_object: []
    id: 41
    identicon_seed: v1:b3t7i4th38
    metadata: {}
    name: 'Pioneer Study: ESPER v2'
    recipe:
      approved_revision_id: 41
      id: 449
      latest_revision_id: 41
    updated: '2018-05-22T13:11:34.574269Z'
  id: 449
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-05-04T17:39:18.064102Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      id: 791
      revision:
        id: 41
        recipe_id: 449
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/esper-pioneer-shield-study%40pioneer.mozilla.org-1.0.4-signed.xpi
      description: 'ESPER (Evaluating Similarity of Pioneers as Exemplars of Release)
        assesses the degree and sense in which users in opt-in Firefox Pioneer cohort
        differ from the Firefox release channel population. This is a one-time data
        collection of fields already collected in Firefox Telemetry.


        Bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1450951'
      extensionApiId: 43
      isEnrollmentPaused: false
      name: pioneer-study-esper-2
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2018-05-04T17:39:10.876517Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-22T13:11:34.562649Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      enabled: false
      id: 45
    - carryover_from: null
      created: '2018-05-16T23:39:13.522708Z'
      creator: null
      enabled: true
      id: 5
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "( \nnormandy.addons['pioneer-opt-in@mozilla.org'].isActive\
      \ &&\nnormandy.version >= '59.0'\n)"
    filter_expression: "( \nnormandy.addons['pioneer-opt-in@mozilla.org'].isActive\
      \ &&\nnormandy.version >= '59.0'\n)"
    filter_object: []
    id: 41
    identicon_seed: v1:b3t7i4th38
    metadata: {}
    name: 'Pioneer Study: ESPER v2'
    recipe:
      approved_revision_id: 41
      id: 449
      latest_revision_id: 41
    updated: '2018-05-22T13:11:34.574269Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-05-07T18:34:16.487820Z'
      creator:
        email: kardekani@mozilla.com
        first_name: Kamyar
        id: 11
        last_name: Ardekani
      id: 793
      revision:
        id: 11
        recipe_id: 458
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: ' Help us make Firefox better by filling out this short survey'
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Send-Tabs-V1
      repeatOption: once
      surveyId: hb-send-tabs-preliminary-rev1
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-07T18:34:12.076320Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-09-05T18:22:16.277582Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      enabled: false
      id: 310
    - carryover_from: null
      created: '2018-05-16T23:39:13.517280Z'
      creator: null
      enabled: true
      id: 4
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: '(

      normandy.channel ==  ''release'' &&

      normandy.locale in [''en-US'', ''en-AU'', ''en-CA'', ''en-GB'', ''en-NZ'', ''en-ZA'']
      &&

      [normandy.userId]|bucketSample(380, 1, 1000)

      )'
    filter_expression: '(

      normandy.channel ==  ''release'' &&

      normandy.locale in [''en-US'', ''en-AU'', ''en-CA'', ''en-GB'', ''en-NZ'', ''en-ZA'']
      &&

      [normandy.userId]|bucketSample(380, 1, 1000)

      )'
    filter_object: []
    id: 11
    identicon_seed: v1:ejlb8w20pk9
    metadata: {}
    name: 'Heartbeat: Send Tabs Preliminary rev1 (release, all en-US)'
    recipe:
      approved_revision_id: 11
      id: 458
      latest_revision_id: 11
    updated: '2018-09-05T18:22:16.286601Z'
  id: 458
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-05-07T18:34:16.487820Z'
      creator:
        email: kardekani@mozilla.com
        first_name: Kamyar
        id: 11
        last_name: Ardekani
      id: 793
      revision:
        id: 11
        recipe_id: 458
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: ' Help us make Firefox better by filling out this short survey'
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Send-Tabs-V1
      repeatOption: once
      surveyId: hb-send-tabs-preliminary-rev1
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-07T18:34:12.076320Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-09-05T18:22:16.277582Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      enabled: false
      id: 310
    - carryover_from: null
      created: '2018-05-16T23:39:13.517280Z'
      creator: null
      enabled: true
      id: 4
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: '(

      normandy.channel ==  ''release'' &&

      normandy.locale in [''en-US'', ''en-AU'', ''en-CA'', ''en-GB'', ''en-NZ'', ''en-ZA'']
      &&

      [normandy.userId]|bucketSample(380, 1, 1000)

      )'
    filter_expression: '(

      normandy.channel ==  ''release'' &&

      normandy.locale in [''en-US'', ''en-AU'', ''en-CA'', ''en-GB'', ''en-NZ'', ''en-ZA'']
      &&

      [normandy.userId]|bucketSample(380, 1, 1000)

      )'
    filter_object: []
    id: 11
    identicon_seed: v1:ejlb8w20pk9
    metadata: {}
    name: 'Heartbeat: Send Tabs Preliminary rev1 (release, all en-US)'
    recipe:
      approved_revision_id: 11
      id: 458
      latest_revision_id: 11
    updated: '2018-09-05T18:22:16.286601Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM, although I have some minor survey suggestions
      created: '2018-05-08T16:39:58.229288Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 795
      revision:
        id: 8
        recipe_id: 459
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please take a minute to fill out this survey about Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Add-on-installers-new-profiles
      repeatOption: once
      surveyId: hb-add-ons-new-profiles
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-08T16:39:53.977651Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-21T20:49:23.745223Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 33
    - carryover_from: null
      created: '2018-05-16T23:39:13.511830Z'
      creator: null
      enabled: true
      id: 3
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.005)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version  >= '59.0'\n   && normandy.channel == 'release'\n  \
      \ &&!normandy.isFirstRun\n   && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17622\n   && normandy.addons != {}\n)"
    filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.005)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version  >= '59.0'\n   && normandy.channel == 'release'\n  \
      \ &&!normandy.isFirstRun\n   && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17622\n   && normandy.addons != {}\n)"
    filter_object: []
    id: 8
    identicon_seed: v1:qpgfx6b3zue
    metadata: {}
    name: Users who install Add-ons in New Profiles
    recipe:
      approved_revision_id: 8
      id: 459
      latest_revision_id: 8
    updated: '2018-05-21T20:49:23.756715Z'
  id: 459
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM, although I have some minor survey suggestions
      created: '2018-05-08T16:39:58.229288Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 795
      revision:
        id: 8
        recipe_id: 459
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please take a minute to fill out this survey about Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Add-on-installers-new-profiles
      repeatOption: once
      surveyId: hb-add-ons-new-profiles
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-08T16:39:53.977651Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-21T20:49:23.745223Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 33
    - carryover_from: null
      created: '2018-05-16T23:39:13.511830Z'
      creator: null
      enabled: true
      id: 3
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.005)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version  >= '59.0'\n   && normandy.channel == 'release'\n  \
      \ &&!normandy.isFirstRun\n   && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17622\n   && normandy.addons != {}\n)"
    filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.005)\n\
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \   && normandy.version  >= '59.0'\n   && normandy.channel == 'release'\n  \
      \ &&!normandy.isFirstRun\n   && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17622\n   && normandy.addons != {}\n)"
    filter_object: []
    id: 8
    identicon_seed: v1:qpgfx6b3zue
    metadata: {}
    name: Users who install Add-ons in New Profiles
    recipe:
      approved_revision_id: 8
      id: 459
      latest_revision_id: 8
    updated: '2018-05-21T20:49:23.756715Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2018-05-16T23:42:52.050660Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 803
      revision:
        id: 1439
        recipe_id: 461
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please take a minute to fill out this survey about Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/FB-Container
      repeatOption: once
      surveyId: hb-fb-container
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-16T23:42:47.284632Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-18T14:23:36.434227Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 27
    - carryover_from: null
      created: '2018-05-17T21:44:09.361930Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: true
      id: 26
    - carryover_from: null
      created: '2018-05-17T21:43:49.129500Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 25
    - carryover_from: null
      created: '2018-05-17T14:40:57.925379Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: true
      id: 24
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.2)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n    && normandy.addons[\"@contain-facebook\"\
      ]\n)"
    filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.2)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n    && normandy.addons[\"@contain-facebook\"\
      ]\n)"
    filter_object: []
    id: 1439
    identicon_seed: v1:pv61si42tgs
    metadata: {}
    name: FB Container Survey
    recipe:
      approved_revision_id: 1439
      id: 461
      latest_revision_id: 1439
    updated: '2018-05-18T14:23:36.444487Z'
  id: 461
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2018-05-16T23:42:52.050660Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 803
      revision:
        id: 1439
        recipe_id: 461
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please take a minute to fill out this survey about Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/FB-Container
      repeatOption: once
      surveyId: hb-fb-container
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-16T23:42:47.284632Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-18T14:23:36.434227Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 27
    - carryover_from: null
      created: '2018-05-17T21:44:09.361930Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: true
      id: 26
    - carryover_from: null
      created: '2018-05-17T21:43:49.129500Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 25
    - carryover_from: null
      created: '2018-05-17T14:40:57.925379Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: true
      id: 24
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.2)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n    && normandy.addons[\"@contain-facebook\"\
      ]\n)"
    filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|stableSample(0.2)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n    && normandy.addons[\"@contain-facebook\"\
      ]\n)"
    filter_object: []
    id: 1439
    identicon_seed: v1:pv61si42tgs
    metadata: {}
    name: FB Container Survey
    recipe:
      approved_revision_id: 1439
      id: 461
      latest_revision_id: 1439
    updated: '2018-05-18T14:23:36.444487Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: approved
      created: '2018-05-17T22:04:58.033635Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 809
      revision:
        id: 1445
        recipe_id: 462
    arguments:
      engagementButtonLabel: Make a match
      includeTelemetryUUID: false
      learnMoreMessage: Give feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Heartbeat-Feedback-2018?source=mobile-en-control
      message: Your Firefox Account meets your phone. They fall in love.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=hb-control
      repeatOption: once
      surveyId: hb-mobile-control
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-17T22:04:53.494081Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-24T19:25:34.114647Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 46
    - carryover_from: null
      created: '2018-05-18T14:55:20.637863Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: true
      id: 28
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(    \n           [normandy.userId]|bucketSample(0,\
      \ 25, 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n    && !normandy.isFirstRun\n)"
    filter_expression: "(    \n           [normandy.userId]|bucketSample(0, 25, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n    && !normandy.isFirstRun\n\
      )"
    filter_object: []
    id: 1445
    identicon_seed: v1:f46w4011vtb
    metadata: {}
    name: Mobile Cross Sell - Control
    recipe:
      approved_revision_id: 1445
      id: 462
      latest_revision_id: 1445
    updated: '2018-05-24T19:25:34.125271Z'
  id: 462
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: approved
      created: '2018-05-17T22:04:58.033635Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 809
      revision:
        id: 1445
        recipe_id: 462
    arguments:
      engagementButtonLabel: Make a match
      includeTelemetryUUID: false
      learnMoreMessage: Give feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Heartbeat-Feedback-2018?source=mobile-en-control
      message: Your Firefox Account meets your phone. They fall in love.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=hb-control
      repeatOption: once
      surveyId: hb-mobile-control
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-17T22:04:53.494081Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-24T19:25:34.114647Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 46
    - carryover_from: null
      created: '2018-05-18T14:55:20.637863Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: true
      id: 28
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(    \n           [normandy.userId]|bucketSample(0,\
      \ 25, 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n    && !normandy.isFirstRun\n)"
    filter_expression: "(    \n           [normandy.userId]|bucketSample(0, 25, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n    && !normandy.isFirstRun\n\
      )"
    filter_object: []
    id: 1445
    identicon_seed: v1:f46w4011vtb
    metadata: {}
    name: Mobile Cross Sell - Control
    recipe:
      approved_revision_id: 1445
      id: 462
      latest_revision_id: 1445
    updated: '2018-05-24T19:25:34.125271Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: approved
      created: '2018-05-18T14:18:56.343028Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 811
      revision:
        id: 1447
        recipe_id: 463
    arguments:
      engagementButtonLabel: Add now
      includeTelemetryUUID: false
      learnMoreMessage: Give feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Heartbeat-Feedback-2018?source=hb-mobile-add-device
      message: You’ve got a Firefox Account! Now add a second device.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=hb-mobile-add-device
      repeatOption: once
      surveyId: hb-mobile-add-device
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-18T14:18:49.841391Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-24T19:25:37.821963Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 47
    - carryover_from: null
      created: '2018-05-18T14:55:31.652663Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: true
      id: 32
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(    \n           [normandy.userId]|bucketSample(26,\
      \ 25, 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n    && !normandy.isFirstRun\n)"
    filter_expression: "(    \n           [normandy.userId]|bucketSample(26, 25, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n    && !normandy.isFirstRun\n\
      )"
    filter_object: []
    id: 1447
    identicon_seed: v1:nm7s3olvjaa
    metadata: {}
    name: Mobile Cross Sell - Add Device
    recipe:
      approved_revision_id: 1447
      id: 463
      latest_revision_id: 1447
    updated: '2018-05-24T19:25:37.832627Z'
  id: 463
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: approved
      created: '2018-05-18T14:18:56.343028Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 811
      revision:
        id: 1447
        recipe_id: 463
    arguments:
      engagementButtonLabel: Add now
      includeTelemetryUUID: false
      learnMoreMessage: Give feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Heartbeat-Feedback-2018?source=hb-mobile-add-device
      message: You’ve got a Firefox Account! Now add a second device.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=hb-mobile-add-device
      repeatOption: once
      surveyId: hb-mobile-add-device
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-18T14:18:49.841391Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-24T19:25:37.821963Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 47
    - carryover_from: null
      created: '2018-05-18T14:55:31.652663Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: true
      id: 32
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(    \n           [normandy.userId]|bucketSample(26,\
      \ 25, 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n    && !normandy.isFirstRun\n)"
    filter_expression: "(    \n           [normandy.userId]|bucketSample(26, 25, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n    && !normandy.isFirstRun\n\
      )"
    filter_object: []
    id: 1447
    identicon_seed: v1:nm7s3olvjaa
    metadata: {}
    name: Mobile Cross Sell - Add Device
    recipe:
      approved_revision_id: 1447
      id: 463
      latest_revision_id: 1447
    updated: '2018-05-24T19:25:37.832627Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: approved
      created: '2018-05-18T14:19:18.925103Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 812
      revision:
        id: 1448
        recipe_id: 464
    arguments:
      engagementButtonLabel: 'Add a device to your Firefox Account. '
      includeTelemetryUUID: false
      learnMoreMessage: Give feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Heartbeat-Feedback-2018?source=hb-mobile-add-to-account
      message: 'Send links instantly, save passwords and more. '
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=hb-mobile-add-to-account
      repeatOption: once
      surveyId: hb-mobile-add-to-account
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-18T14:19:10.208289Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-24T19:25:57.434003Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 48
    - carryover_from: null
      created: '2018-05-18T14:55:30.688466Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: true
      id: 31
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(    \n           [normandy.userId]|bucketSample(51,\
      \ 25, 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n    && !normandy.isFirstRun\n)"
    filter_expression: "(    \n           [normandy.userId]|bucketSample(51, 25, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n    && !normandy.isFirstRun\n\
      )"
    filter_object: []
    id: 1448
    identicon_seed: v1:wmrny0kgfnr
    metadata: {}
    name: Mobile Cross Sell - Firefox account
    recipe:
      approved_revision_id: 1448
      id: 464
      latest_revision_id: 1448
    updated: '2018-05-24T19:25:57.445328Z'
  id: 464
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: approved
      created: '2018-05-18T14:19:18.925103Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 812
      revision:
        id: 1448
        recipe_id: 464
    arguments:
      engagementButtonLabel: 'Add a device to your Firefox Account. '
      includeTelemetryUUID: false
      learnMoreMessage: Give feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Heartbeat-Feedback-2018?source=hb-mobile-add-to-account
      message: 'Send links instantly, save passwords and more. '
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=hb-mobile-add-to-account
      repeatOption: once
      surveyId: hb-mobile-add-to-account
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-18T14:19:10.208289Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-24T19:25:57.434003Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 48
    - carryover_from: null
      created: '2018-05-18T14:55:30.688466Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: true
      id: 31
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(    \n           [normandy.userId]|bucketSample(51,\
      \ 25, 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n    && !normandy.isFirstRun\n)"
    filter_expression: "(    \n           [normandy.userId]|bucketSample(51, 25, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n    && !normandy.isFirstRun\n\
      )"
    filter_object: []
    id: 1448
    identicon_seed: v1:wmrny0kgfnr
    metadata: {}
    name: Mobile Cross Sell - Firefox account
    recipe:
      approved_revision_id: 1448
      id: 464
      latest_revision_id: 1448
    updated: '2018-05-24T19:25:57.445328Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: approved
      created: '2018-05-18T14:19:45.767617Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 813
      revision:
        id: 1449
        recipe_id: 465
    arguments:
      engagementButtonLabel: See How
      includeTelemetryUUID: false
      learnMoreMessage: Give feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Heartbeat-Feedback-2018?source=hb-mobile-emailing-links
      message: 'Still emailing yourself links? Add a device and send them to mobile
        instantly. '
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=hb-mobile-emailing-links
      repeatOption: once
      surveyId: hb-mobile-emailing-links
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-18T14:19:36.861012Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-24T19:26:10.095221Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 49
    - carryover_from: null
      created: '2018-05-18T14:55:29.742469Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: true
      id: 30
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(    \n           [normandy.userId]|bucketSample(76,\
      \ 25, 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n    && !normandy.isFirstRun\n)"
    filter_expression: "(    \n           [normandy.userId]|bucketSample(76, 25, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n    && !normandy.isFirstRun\n\
      )"
    filter_object: []
    id: 1449
    identicon_seed: v1:4sb7z46d1pt
    metadata: {}
    name: Mobile Cross Sell - Emailing Link
    recipe:
      approved_revision_id: 1449
      id: 465
      latest_revision_id: 1449
    updated: '2018-05-24T19:26:10.105849Z'
  id: 465
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: approved
      created: '2018-05-18T14:19:45.767617Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 813
      revision:
        id: 1449
        recipe_id: 465
    arguments:
      engagementButtonLabel: See How
      includeTelemetryUUID: false
      learnMoreMessage: Give feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Heartbeat-Feedback-2018?source=hb-mobile-emailing-links
      message: 'Still emailing yourself links? Add a device and send them to mobile
        instantly. '
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=hb-mobile-emailing-links
      repeatOption: once
      surveyId: hb-mobile-emailing-links
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-18T14:19:36.861012Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-24T19:26:10.095221Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 49
    - carryover_from: null
      created: '2018-05-18T14:55:29.742469Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: true
      id: 30
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(    \n           [normandy.userId]|bucketSample(76,\
      \ 25, 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n    && !normandy.isFirstRun\n)"
    filter_expression: "(    \n           [normandy.userId]|bucketSample(76, 25, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n    && !normandy.isFirstRun\n\
      )"
    filter_object: []
    id: 1449
    identicon_seed: v1:4sb7z46d1pt
    metadata: {}
    name: Mobile Cross Sell - Emailing Link
    recipe:
      approved_revision_id: 1449
      id: 465
      latest_revision_id: 1449
    updated: '2018-05-24T19:26:10.105849Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: approved
      created: '2018-05-18T14:20:12.061644Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 814
      revision:
        id: 1450
        recipe_id: 466
    arguments:
      engagementButtonLabel: Get Started
      includeTelemetryUUID: false
      learnMoreMessage: Give feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Heartbeat-Feedback-2018?source=hb-mobile-get-started
      message: Take Firefox to go by adding a second device to your account.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=hb-mobile-get-started
      repeatOption: once
      surveyId: hb-mobile-get-started
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-18T14:20:06.704284Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-24T19:26:21.369434Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 50
    - carryover_from: null
      created: '2018-05-18T14:55:27.798701Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: true
      id: 29
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(    \n           [normandy.userId]|bucketSample(101,\
      \ 25, 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n    && !normandy.isFirstRun\n)"
    filter_expression: "(    \n           [normandy.userId]|bucketSample(101, 25,\
      \ 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices ==\
      \ 0\n    && !normandy.isFirstRun\n)"
    filter_object: []
    id: 1450
    identicon_seed: v1:u7dap3pah6
    metadata: {}
    name: Mobile Cross Sell - Get Started
    recipe:
      approved_revision_id: 1450
      id: 466
      latest_revision_id: 1450
    updated: '2018-05-24T19:26:21.379820Z'
  id: 466
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: approved
      created: '2018-05-18T14:20:12.061644Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 814
      revision:
        id: 1450
        recipe_id: 466
    arguments:
      engagementButtonLabel: Get Started
      includeTelemetryUUID: false
      learnMoreMessage: Give feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Heartbeat-Feedback-2018?source=hb-mobile-get-started
      message: Take Firefox to go by adding a second device to your account.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=hb-mobile-get-started
      repeatOption: once
      surveyId: hb-mobile-get-started
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-05-18T14:20:06.704284Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-05-24T19:26:21.369434Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: false
      id: 50
    - carryover_from: null
      created: '2018-05-18T14:55:27.798701Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: true
      id: 29
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(    \n           [normandy.userId]|bucketSample(101,\
      \ 25, 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n    && !normandy.isFirstRun\n)"
    filter_expression: "(    \n           [normandy.userId]|bucketSample(101, 25,\
      \ 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices ==\
      \ 0\n    && !normandy.isFirstRun\n)"
    filter_object: []
    id: 1450
    identicon_seed: v1:u7dap3pah6
    metadata: {}
    name: Mobile Cross Sell - Get Started
    recipe:
      approved_revision_id: 1450
      id: 466
      latest_revision_id: 1450
    updated: '2018-05-24T19:26:21.379820Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2018-05-21T21:51:24.734324Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 821
      revision:
        id: 1459
        recipe_id: 467
    arguments:
      branches:
      - ratio: 1
        slug: control
        value: 'off'
      - ratio: 1
        slug: branch1
        value: 'on'
      - ratio: 1
        slug: branch2
        value: force
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1441756
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: devtools.onboarding.experiment
      preferenceType: string
      slug: pref-flip-devtools-onboarding-1441756
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-05-21T21:50:04.550644Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-06-04T23:03:32.260636Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      enabled: false
      id: 59
    - carryover_from: null
      created: '2018-05-21T22:02:36.642543Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: true
      id: 44
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version\
      \ >= '61'\n  && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n  && [normandy.userId, normandy.recipe.id]|stableSample(0.2)\n)"
    filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version >=\
      \ '61'\n  && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n  && [normandy.userId, normandy.recipe.id]|stableSample(0.2)\n)"
    filter_object: []
    id: 1459
    identicon_seed: v1:e61us648d4
    metadata: {}
    name: 'Pref Flip Study: Devtools Onboarding Pref Flip, Beta [Bug 1441756]'
    recipe:
      approved_revision_id: 1459
      id: 467
      latest_revision_id: 1459
    updated: '2018-06-04T23:03:32.485635Z'
  id: 467
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2018-05-21T21:51:24.734324Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 821
      revision:
        id: 1459
        recipe_id: 467
    arguments:
      branches:
      - ratio: 1
        slug: control
        value: 'off'
      - ratio: 1
        slug: branch1
        value: 'on'
      - ratio: 1
        slug: branch2
        value: force
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1441756
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: devtools.onboarding.experiment
      preferenceType: string
      slug: pref-flip-devtools-onboarding-1441756
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-05-21T21:50:04.550644Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-06-04T23:03:32.260636Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      enabled: false
      id: 59
    - carryover_from: null
      created: '2018-05-21T22:02:36.642543Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      enabled: true
      id: 44
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version\
      \ >= '61'\n  && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n  && [normandy.userId, normandy.recipe.id]|stableSample(0.2)\n)"
    filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version >=\
      \ '61'\n  && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n  && [normandy.userId, normandy.recipe.id]|stableSample(0.2)\n)"
    filter_object: []
    id: 1459
    identicon_seed: v1:e61us648d4
    metadata: {}
    name: 'Pref Flip Study: Devtools Onboarding Pref Flip, Beta [Bug 1441756]'
    recipe:
      approved_revision_id: 1459
      id: 467
      latest_revision_id: 1459
    updated: '2018-06-04T23:03:32.485635Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Looks good. Doing this as two studies.
      created: '2018-05-29T23:21:43.550490Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      id: 827
      revision:
        id: 1465
        recipe_id: 470
    arguments:
      branches:
      - ratio: 2
        slug: 20fps
        value: true
      - ratio: 1
        slug: Control
        value: false
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1462158
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: browser.tabs.20FpsThrobber
      preferenceType: boolean
      slug: pref-flip-tabthrobber-20fps-1462158
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-05-29T23:21:38.477163Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-06-18T22:22:35.877249Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      enabled: false
      id: 74
    - carryover_from: null
      created: '2018-05-29T23:36:18.120498Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      enabled: true
      id: 52
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n      normandy.channel == 'beta'\n      && normandy.version\
      \ >= '61'\n      && [normandy.userId, normandy.recipe.id]|bucketSample(2, 1,\
      \ 200)\n    )"
    filter_expression: "(\n      normandy.channel == 'beta'\n      && normandy.version\
      \ >= '61'\n      && [normandy.userId, normandy.recipe.id]|bucketSample(2, 1,\
      \ 200)\n    )"
    filter_object: []
    id: 1465
    identicon_seed: v1:zxftpjbdvpk
    metadata: {}
    name: 'Pref Flip Study: Tab Throbber (20 fps), Beta [Bug 1462158]'
    recipe:
      approved_revision_id: 1465
      id: 470
      latest_revision_id: 1465
    updated: '2018-06-18T22:22:36.109937Z'
  id: 470
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Looks good. Doing this as two studies.
      created: '2018-05-29T23:21:43.550490Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      id: 827
      revision:
        id: 1465
        recipe_id: 470
    arguments:
      branches:
      - ratio: 2
        slug: 20fps
        value: true
      - ratio: 1
        slug: Control
        value: false
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1462158
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: browser.tabs.20FpsThrobber
      preferenceType: boolean
      slug: pref-flip-tabthrobber-20fps-1462158
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-05-29T23:21:38.477163Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-06-18T22:22:35.877249Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      enabled: false
      id: 74
    - carryover_from: null
      created: '2018-05-29T23:36:18.120498Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      enabled: true
      id: 52
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n      normandy.channel == 'beta'\n      && normandy.version\
      \ >= '61'\n      && [normandy.userId, normandy.recipe.id]|bucketSample(2, 1,\
      \ 200)\n    )"
    filter_expression: "(\n      normandy.channel == 'beta'\n      && normandy.version\
      \ >= '61'\n      && [normandy.userId, normandy.recipe.id]|bucketSample(2, 1,\
      \ 200)\n    )"
    filter_object: []
    id: 1465
    identicon_seed: v1:zxftpjbdvpk
    metadata: {}
    name: 'Pref Flip Study: Tab Throbber (20 fps), Beta [Bug 1462158]'
    recipe:
      approved_revision_id: 1465
      id: 470
      latest_revision_id: 1465
    updated: '2018-06-18T22:22:36.109937Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Looks good. Doing this as two studies.
      created: '2018-05-29T23:35:27.455951Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      id: 828
      revision:
        id: 1466
        recipe_id: 469
    arguments:
      branches:
      - ratio: 2
        slug: 30fps
        value: true
      - ratio: 1
        slug: Control
        value: false
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1462158
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: browser.tabs.30FpsThrobber
      preferenceType: boolean
      slug: pref-flip-tabthrobber-30fps-1462158
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-05-29T23:21:58.080273Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-06-18T22:22:22.312207Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      enabled: false
      id: 73
    - carryover_from: null
      created: '2018-05-29T23:35:59.551961Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      enabled: true
      id: 51
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n      normandy.channel == 'beta'\n      && normandy.version\
      \ >= '61'\n      && [normandy.userId, normandy.recipe.id]|bucketSample(1, 1,\
      \ 200)\n    )"
    filter_expression: "(\n      normandy.channel == 'beta'\n      && normandy.version\
      \ >= '61'\n      && [normandy.userId, normandy.recipe.id]|bucketSample(1, 1,\
      \ 200)\n    )"
    filter_object: []
    id: 1466
    identicon_seed: v1:p993li92bvl
    metadata: {}
    name: 'Pref Flip Study: Tab Throbber (30 fps), Beta [Bug 1462158]'
    recipe:
      approved_revision_id: 1466
      id: 469
      latest_revision_id: 1466
    updated: '2018-06-18T22:22:22.543702Z'
  id: 469
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Looks good. Doing this as two studies.
      created: '2018-05-29T23:35:27.455951Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      id: 828
      revision:
        id: 1466
        recipe_id: 469
    arguments:
      branches:
      - ratio: 2
        slug: 30fps
        value: true
      - ratio: 1
        slug: Control
        value: false
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1462158
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: browser.tabs.30FpsThrobber
      preferenceType: boolean
      slug: pref-flip-tabthrobber-30fps-1462158
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-05-29T23:21:58.080273Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-06-18T22:22:22.312207Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      enabled: false
      id: 73
    - carryover_from: null
      created: '2018-05-29T23:35:59.551961Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      enabled: true
      id: 51
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n      normandy.channel == 'beta'\n      && normandy.version\
      \ >= '61'\n      && [normandy.userId, normandy.recipe.id]|bucketSample(1, 1,\
      \ 200)\n    )"
    filter_expression: "(\n      normandy.channel == 'beta'\n      && normandy.version\
      \ >= '61'\n      && [normandy.userId, normandy.recipe.id]|bucketSample(1, 1,\
      \ 200)\n    )"
    filter_object: []
    id: 1466
    identicon_seed: v1:p993li92bvl
    metadata: {}
    name: 'Pref Flip Study: Tab Throbber (30 fps), Beta [Bug 1462158]'
    recipe:
      approved_revision_id: 1466
      id: 469
      latest_revision_id: 1466
    updated: '2018-06-18T22:22:22.543702Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          preferences:
            description: The preferences to change, and their values
            items:
              properties:
                preferenceName:
                  description: Full dotted-path of the preference being changed
                  type: string
                value:
                  description: Value to set the preference to
                  type:
                  - string
                  - integer
                  - boolean
              required:
              - preferenceName
              - value
              type: object
            minItems: 1
            type: array
          slug:
            description: Unique identifer for the rollout, used in telemetry and rollbacks
            pattern: ^[a-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferences
        title: Change preferences permanently
        type: object
      id: 5
      implementation_url: null
      name: preference-rollout
    approval_request:
      approved: true
      approver:
        email: rhelmer@mozilla.com
        first_name: Robert
        id: 23
        last_name: Helmer
      comment: lgtm
      created: '2018-05-31T19:33:09.360784Z'
      creator:
        email: mcooper@mozilla.com
        first_name: Michael
        id: 1
        last_name: Cooper
      id: 829
      revision:
        id: 1468
        recipe_id: 471
    arguments:
      preferences:
      - preferenceName: security.tls.version.fallback-limit
        value: 4
      slug: rollout-tls-fallback-1-3
    capabilities:
    - action.preference-rollout
    comment: ''
    creator: null
    date_created: '2018-05-31T19:02:51.099366Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-10-11T23:22:44.888073Z'
      creator:
        email: mcooper@mozilla.com
        first_name: Michael
        id: 1
        last_name: Cooper
      enabled: false
      id: 403
    - carryover_from: null
      created: '2018-05-31T20:46:19.957133Z'
      creator:
        email: mcooper@mozilla.com
        first_name: Michael
        id: 1
        last_name: Cooper
      enabled: true
      id: 53
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "[recipe.recipe.id, normandy.userId]|stableSample(0.1)\
      \ \n&& normandy.channel == \"beta\"\n&& normandy.version >= \"61\"\n&& normandy.version\
      \ < \"62\""
    filter_expression: "[recipe.recipe.id, normandy.userId]|stableSample(0.1) \n&&\
      \ normandy.channel == \"beta\"\n&& normandy.version >= \"61\"\n&& normandy.version\
      \ < \"62\""
    filter_object: []
    id: 1468
    identicon_seed: v1:8rol9319ntv
    metadata: {}
    name: 'Pref Rollout: TLS fallback-limit to 1.3, beta 61 [Bug 1462164]'
    recipe:
      approved_revision_id: 1468
      id: 471
      latest_revision_id: 1468
    updated: '2018-10-11T23:22:44.916056Z'
  id: 471
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          preferences:
            description: The preferences to change, and their values
            items:
              properties:
                preferenceName:
                  description: Full dotted-path of the preference being changed
                  type: string
                value:
                  description: Value to set the preference to
                  type:
                  - string
                  - integer
                  - boolean
              required:
              - preferenceName
              - value
              type: object
            minItems: 1
            type: array
          slug:
            description: Unique identifer for the rollout, used in telemetry and rollbacks
            pattern: ^[a-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferences
        title: Change preferences permanently
        type: object
      id: 5
      implementation_url: null
      name: preference-rollout
    approval_request:
      approved: true
      approver:
        email: rhelmer@mozilla.com
        first_name: Robert
        id: 23
        last_name: Helmer
      comment: lgtm
      created: '2018-05-31T19:33:09.360784Z'
      creator:
        email: mcooper@mozilla.com
        first_name: Michael
        id: 1
        last_name: Cooper
      id: 829
      revision:
        id: 1468
        recipe_id: 471
    arguments:
      preferences:
      - preferenceName: security.tls.version.fallback-limit
        value: 4
      slug: rollout-tls-fallback-1-3
    capabilities:
    - action.preference-rollout
    comment: ''
    creator: null
    date_created: '2018-05-31T19:02:51.099366Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-10-11T23:22:44.888073Z'
      creator:
        email: mcooper@mozilla.com
        first_name: Michael
        id: 1
        last_name: Cooper
      enabled: false
      id: 403
    - carryover_from: null
      created: '2018-05-31T20:46:19.957133Z'
      creator:
        email: mcooper@mozilla.com
        first_name: Michael
        id: 1
        last_name: Cooper
      enabled: true
      id: 53
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "[recipe.recipe.id, normandy.userId]|stableSample(0.1)\
      \ \n&& normandy.channel == \"beta\"\n&& normandy.version >= \"61\"\n&& normandy.version\
      \ < \"62\""
    filter_expression: "[recipe.recipe.id, normandy.userId]|stableSample(0.1) \n&&\
      \ normandy.channel == \"beta\"\n&& normandy.version >= \"61\"\n&& normandy.version\
      \ < \"62\""
    filter_object: []
    id: 1468
    identicon_seed: v1:8rol9319ntv
    metadata: {}
    name: 'Pref Rollout: TLS fallback-limit to 1.3, beta 61 [Bug 1462164]'
    recipe:
      approved_revision_id: 1468
      id: 471
      latest_revision_id: 1468
    updated: '2018-10-11T23:22:44.916056Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-06-05T16:52:30.248487Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 835
      revision:
        id: 1477
        recipe_id: 476
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/httpdns%40shield.mozilla.org-1.0-signed.xpi
      description: 'Mozilla запускает серию исследований для тестирования службы,
        которая огородит историю веб-сёрфинга от сбора и передачи DNS-провайдерами.
        Все участники исследования получат оповещение. Когда исследование станет активным,
        Firefox будет автоматически использовать защищённый по HTTPS DNS-сервер Cloudflare
        с IP-адресом 1.1.1.1. Это исследование будет использовать DNS-сервер Cloudflare
        в дополнение к DNS-серверам, выбранных пользователем или его интернет-провайдером,
        для сравнения результатов.

        https://bugzilla.mozilla.org/show_bug.cgi?id=1446404'
      extensionApiId: 44
      isEnrollmentPaused: true
      name: addon-study-trr-1446404-ru
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2018-06-05T16:47:32.934177Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-08-06T21:01:10.374587Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: false
      id: 201
    - carryover_from: 58
      created: '2018-06-05T16:53:55.911417Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      enabled: true
      id: 60
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'nightly'\n  && normandy.version\
      \ >= '62'\n  && normandy.locale == 'ru'\n  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n\
      )"
    filter_expression: "(\n  normandy.channel == 'nightly'\n  && normandy.version\
      \ >= '62'\n  && normandy.locale == 'ru'\n  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n\
      )"
    filter_object: []
    id: 1477
    identicon_seed: v1:rgu4l8x4n9
    metadata: {}
    name: 'Addon Study: Trusted Recursive Resolver, Nightly, ru [Bug 1446404]'
    recipe:
      approved_revision_id: 1477
      id: 476
      latest_revision_id: 1477
    updated: '2018-08-06T21:01:10.379767Z'
  id: 476
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-06-05T16:52:30.248487Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 835
      revision:
        id: 1477
        recipe_id: 476
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/httpdns%40shield.mozilla.org-1.0-signed.xpi
      description: 'Mozilla запускает серию исследований для тестирования службы,
        которая огородит историю веб-сёрфинга от сбора и передачи DNS-провайдерами.
        Все участники исследования получат оповещение. Когда исследование станет активным,
        Firefox будет автоматически использовать защищённый по HTTPS DNS-сервер Cloudflare
        с IP-адресом 1.1.1.1. Это исследование будет использовать DNS-сервер Cloudflare
        в дополнение к DNS-серверам, выбранных пользователем или его интернет-провайдером,
        для сравнения результатов.

        https://bugzilla.mozilla.org/show_bug.cgi?id=1446404'
      extensionApiId: 44
      isEnrollmentPaused: true
      name: addon-study-trr-1446404-ru
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2018-06-05T16:47:32.934177Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-08-06T21:01:10.374587Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: false
      id: 201
    - carryover_from: 58
      created: '2018-06-05T16:53:55.911417Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      enabled: true
      id: 60
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'nightly'\n  && normandy.version\
      \ >= '62'\n  && normandy.locale == 'ru'\n  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n\
      )"
    filter_expression: "(\n  normandy.channel == 'nightly'\n  && normandy.version\
      \ >= '62'\n  && normandy.locale == 'ru'\n  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n\
      )"
    filter_object: []
    id: 1477
    identicon_seed: v1:rgu4l8x4n9
    metadata: {}
    name: 'Addon Study: Trusted Recursive Resolver, Nightly, ru [Bug 1446404]'
    recipe:
      approved_revision_id: 1477
      id: 476
      latest_revision_id: 1477
    updated: '2018-08-06T21:01:10.379767Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-06-05T16:53:03.847313Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 838
      revision:
        id: 1478
        recipe_id: 474
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/httpdns%40shield.mozilla.org-1.0-signed.xpi
      description: 'Mozilla conduit actuellement une série d’études visant à évaluer
        un service empêchant les fournisseurs DNS de collecter et de partager votre
        historique de navigation. Tous les utilisateurs participant à l’étude recevront
        une notification. Lorsqu’une étude est active, Firefox utilisera automatiquement
        1.1.1.1, le service DNS sécurisé via HTTPS de Cloudflare. Cette étude utilisera
        le service de résolution de Cloudflare en plus du DNS sélectionné par l’utilisateur
        ou son fournisseur d’accès à Internet afin de comparer les méthodologies.

        https://bugzilla.mozilla.org/show_bug.cgi?id=1446404'
      extensionApiId: 44
      isEnrollmentPaused: true
      name: addon-study-trr-1446404-fr
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2018-06-05T16:47:40.465831Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-08-06T21:01:09.665174Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: false
      id: 200
    - carryover_from: 57
      created: '2018-06-05T16:54:03.101946Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      enabled: true
      id: 61
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'nightly'\n  && normandy.version\
      \ >= '62'\n  && normandy.locale == 'fr'\n  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n\
      )"
    filter_expression: "(\n  normandy.channel == 'nightly'\n  && normandy.version\
      \ >= '62'\n  && normandy.locale == 'fr'\n  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n\
      )"
    filter_object: []
    id: 1478
    identicon_seed: v1:jhxleyun68m
    metadata: {}
    name: 'Addon Study: Trusted Recursive Resolver, Nightly, fr [Bug 1446404]'
    recipe:
      approved_revision_id: 1478
      id: 474
      latest_revision_id: 1478
    updated: '2018-08-06T21:01:09.670327Z'
  id: 474
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-06-05T16:53:03.847313Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 838
      revision:
        id: 1478
        recipe_id: 474
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/httpdns%40shield.mozilla.org-1.0-signed.xpi
      description: 'Mozilla conduit actuellement une série d’études visant à évaluer
        un service empêchant les fournisseurs DNS de collecter et de partager votre
        historique de navigation. Tous les utilisateurs participant à l’étude recevront
        une notification. Lorsqu’une étude est active, Firefox utilisera automatiquement
        1.1.1.1, le service DNS sécurisé via HTTPS de Cloudflare. Cette étude utilisera
        le service de résolution de Cloudflare en plus du DNS sélectionné par l’utilisateur
        ou son fournisseur d’accès à Internet afin de comparer les méthodologies.

        https://bugzilla.mozilla.org/show_bug.cgi?id=1446404'
      extensionApiId: 44
      isEnrollmentPaused: true
      name: addon-study-trr-1446404-fr
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2018-06-05T16:47:40.465831Z'
    enabled: false
    enabled_states:
    - carryover_from: null
      created: '2018-08-06T21:01:09.665174Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      enabled: false
      id: 200
    - carryover_from: 57
      created: '2018-06-05T16:54:03.101946Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      enabled: true
      id: 61
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'nightly'\n  && normandy.version\
      \ >= '62'\n  && normandy.locale == 'fr'\n  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n\
      )"
    filter_expression: "(\n  normandy.channel == 'nightly'\n  && normandy.version\
      \ >= '62'\n  && normandy.locale == 'fr'\n  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n\
      )"
    filter_object: []
    id: 1478
    identicon_seed: v1:jhxleyun68m
    metadata: {}
    name: 'Addon Study: Trusted Recursive Resolver, Nightly, fr [Bug 1446404]'
    recipe:
      approved_revision_id: 1478
      id: 474
      latest_revision_id: 1478
    updated: '2018-08-06T21:01:09.670327Z'
  signature: null
  uses_only_baseline_capabilities: true
